%define  patch_name kernel-feat-core-realtime-preempt
%define  src_kver 2.6.11-final
%define  src_rel 00

Name: %{patch_name}
Version: 0.7.40
Release: alt1.%src_rel
Summary: Realtime Preemptible Linux kernel patches
License: GPL
Url: http://people.redhat.com/mingo/realtime-preempt/
Group: Development/Other
BuildArch: noarch

%source 1 realtime-preempt-%src_kver-V%version-%src_rel		2.6
# unoffical docs
%source 2 Documentation-voluntary-preempt.patch			2.6

Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

BuildRequires: kernel-build-tools >= 0.3-alt1

%description
Realtime Preemptible Kernel (aka Voluntary Kernel Preemption) patch helps to
achieve "real" RT latency and responsibility in 2.6 kernel by making all kernel
code that is not executing in a critical section preemptible. This allows
reaction to interactive events by permitting a low priority process to be
preempted involuntarily even if it is in kernel mode executing a system call
and would otherwise not about to reach a preemption point. 

If you are building a kernel for a desktop or embedded system with latency
requirements in the milliseconds range, this patch is a good choice ;)  

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Sat Mar 12 2005 LAKostis <lakostis at altlinux dot ru> 0.7.40-alt1.00
- adopted to kernel policy.

